Update Idp Connection
curl --request PUT \
--url https://{host}/api/identity/public/v1/idp/connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"jwks_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"userinfo_url": "<string>",
"logout_url": "<string>",
"scopes": "openid profile email",
"prompt": "",
"use_discovery": false,
"domain": "<string>"
}
'import requests
url = "https://{host}/api/identity/public/v1/idp/connection"
payload = {
"display_name": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"jwks_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"userinfo_url": "<string>",
"logout_url": "<string>",
"scopes": "openid profile email",
"prompt": "",
"use_discovery": False,
"domain": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
issuer: '<string>',
authorization_url: '<string>',
token_url: '<string>',
jwks_url: '<string>',
client_id: '<string>',
client_secret: '<string>',
userinfo_url: '<string>',
logout_url: '<string>',
scopes: 'openid profile email',
prompt: '',
use_discovery: false,
domain: '<string>'
})
};
fetch('https://{host}/api/identity/public/v1/idp/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/identity/public/v1/idp/connection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'display_name' => '<string>',
'issuer' => '<string>',
'authorization_url' => '<string>',
'token_url' => '<string>',
'jwks_url' => '<string>',
'client_id' => '<string>',
'client_secret' => '<string>',
'userinfo_url' => '<string>',
'logout_url' => '<string>',
'scopes' => 'openid profile email',
'prompt' => '',
'use_discovery' => false,
'domain' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/identity/public/v1/idp/connection"
payload := strings.NewReader("{\n \"display_name\": \"<string>\",\n \"issuer\": \"<string>\",\n \"authorization_url\": \"<string>\",\n \"token_url\": \"<string>\",\n \"jwks_url\": \"<string>\",\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"userinfo_url\": \"<string>\",\n \"logout_url\": \"<string>\",\n \"scopes\": \"openid profile email\",\n \"prompt\": \"\",\n \"use_discovery\": false,\n \"domain\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/identity/public/v1/idp/connection")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"display_name\": \"<string>\",\n \"issuer\": \"<string>\",\n \"authorization_url\": \"<string>\",\n \"token_url\": \"<string>\",\n \"jwks_url\": \"<string>\",\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"userinfo_url\": \"<string>\",\n \"logout_url\": \"<string>\",\n \"scopes\": \"openid profile email\",\n \"prompt\": \"\",\n \"use_discovery\": false,\n \"domain\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/identity/public/v1/idp/connection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"display_name\": \"<string>\",\n \"issuer\": \"<string>\",\n \"authorization_url\": \"<string>\",\n \"token_url\": \"<string>\",\n \"jwks_url\": \"<string>\",\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"userinfo_url\": \"<string>\",\n \"logout_url\": \"<string>\",\n \"scopes\": \"openid profile email\",\n \"prompt\": \"\",\n \"use_discovery\": false,\n \"domain\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"configured": false,
"alias": "<string>",
"expected_alias": "<string>",
"display_name": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"userinfo_url": "<string>",
"jwks_url": "<string>",
"logout_url": "<string>",
"scopes": "<string>",
"prompt": "",
"client_id_configured": false,
"client_secret_configured": false,
"domain": "<string>",
"domains": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Identity
Update Idp Connection
Update the IdP connection configuration for the organization.
Updates the OIDC Identity Provider settings including:
- Display name
- OIDC endpoints (authorization, token, userinfo, JWKS, logout)
- Client credentials
- Scopes
- The OIDC
promptsent on the authorization request
Only admins can update this configuration. Changes take effect immediately for new login attempts.
PUT
/
api
/
identity
/
public
/
v1
/
idp
/
connection
Update Idp Connection
curl --request PUT \
--url https://{host}/api/identity/public/v1/idp/connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"jwks_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"userinfo_url": "<string>",
"logout_url": "<string>",
"scopes": "openid profile email",
"prompt": "",
"use_discovery": false,
"domain": "<string>"
}
'import requests
url = "https://{host}/api/identity/public/v1/idp/connection"
payload = {
"display_name": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"jwks_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"userinfo_url": "<string>",
"logout_url": "<string>",
"scopes": "openid profile email",
"prompt": "",
"use_discovery": False,
"domain": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
issuer: '<string>',
authorization_url: '<string>',
token_url: '<string>',
jwks_url: '<string>',
client_id: '<string>',
client_secret: '<string>',
userinfo_url: '<string>',
logout_url: '<string>',
scopes: 'openid profile email',
prompt: '',
use_discovery: false,
domain: '<string>'
})
};
fetch('https://{host}/api/identity/public/v1/idp/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/identity/public/v1/idp/connection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'display_name' => '<string>',
'issuer' => '<string>',
'authorization_url' => '<string>',
'token_url' => '<string>',
'jwks_url' => '<string>',
'client_id' => '<string>',
'client_secret' => '<string>',
'userinfo_url' => '<string>',
'logout_url' => '<string>',
'scopes' => 'openid profile email',
'prompt' => '',
'use_discovery' => false,
'domain' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/identity/public/v1/idp/connection"
payload := strings.NewReader("{\n \"display_name\": \"<string>\",\n \"issuer\": \"<string>\",\n \"authorization_url\": \"<string>\",\n \"token_url\": \"<string>\",\n \"jwks_url\": \"<string>\",\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"userinfo_url\": \"<string>\",\n \"logout_url\": \"<string>\",\n \"scopes\": \"openid profile email\",\n \"prompt\": \"\",\n \"use_discovery\": false,\n \"domain\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/identity/public/v1/idp/connection")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"display_name\": \"<string>\",\n \"issuer\": \"<string>\",\n \"authorization_url\": \"<string>\",\n \"token_url\": \"<string>\",\n \"jwks_url\": \"<string>\",\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"userinfo_url\": \"<string>\",\n \"logout_url\": \"<string>\",\n \"scopes\": \"openid profile email\",\n \"prompt\": \"\",\n \"use_discovery\": false,\n \"domain\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/identity/public/v1/idp/connection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"display_name\": \"<string>\",\n \"issuer\": \"<string>\",\n \"authorization_url\": \"<string>\",\n \"token_url\": \"<string>\",\n \"jwks_url\": \"<string>\",\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"userinfo_url\": \"<string>\",\n \"logout_url\": \"<string>\",\n \"scopes\": \"openid profile email\",\n \"prompt\": \"\",\n \"use_discovery\": false,\n \"domain\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"configured": false,
"alias": "<string>",
"expected_alias": "<string>",
"display_name": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"userinfo_url": "<string>",
"jwks_url": "<string>",
"logout_url": "<string>",
"scopes": "<string>",
"prompt": "",
"client_id_configured": false,
"client_secret_configured": false,
"domain": "<string>",
"domains": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
ApiKeyOAuth2
A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.
Body
application/json
Configuration for creating/updating an IdP connection.
Available options:
, none, login, consent, select_account Response
Successful Response
Response containing current IdP connection configuration.